<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon"></app-page-title>

<div class="main-card mb-3 card animated fadeIn">
  <div class="card-body">

    <div class="row">
      <div class="col-sm-3 col-md-3 col-lg-3 col-xl-3 form-group">
        <label>A partir</label>
        <kendo-datepicker [format]="kendoFormat" [(ngModel)]="fecha" class="form-control"></kendo-datepicker>
      </div>
      <div class="col-sm-2 col-md-2 col-lg-2 col-xl-2 mt-2 form-group">
        <label></label>
        <button class="btn btn-block btn-secondary" (click)="changeFecha(1)">
          <i class="fas fa-angle-double-left"></i>
        </button>
      </div>
      <div class="col-sm-2 col-md-2 col-lg-2 col-xl-2 mt-2 form-group">
        <label></label>
        <button class="btn btn-block btn-secondary" (click)="changeFecha(2)">
          <i class="fas fa-angle-double-right"></i>
        </button>
      </div>
    </div>

    <div *ngIf="!loading">

      <div class="divider"></div>

      <kendo-grid [data]="dataGrid"
                  [height]="510">
        <ng-container *ngIf="dataGrid.length !== 0">

          <kendo-grid-column field="Requerimiento" title="Req. Esp." width="150"></kendo-grid-column>

          <kendo-grid-column-group title="{{ cols[0] }}" [width]="180" [locked]="false">
            <kendo-grid-column field="TotalPorDia[0]" title="Total" [width]="60" [locked]="false"></kendo-grid-column>
            <kendo-grid-column field="Reservados[0]" title="Toma" [width]="60" [locked]="false"></kendo-grid-column>
            <kendo-grid-column field="Diferencia[0]" title="Disp." [width]="60" [locked]="false"></kendo-grid-column>
          </kendo-grid-column-group>
          <kendo-grid-column-group title="{{ cols[1] }}" [width]="180" [locked]="false">
            <kendo-grid-column field="TotalPorDia[1]" title="Total" [width]="60" [locked]="false"></kendo-grid-column>
            <kendo-grid-column field="Reservados[1]" title="Toma" [width]="60" [locked]="false"></kendo-grid-column>
            <kendo-grid-column field="Diferencia[1]" title="Disp." [width]="60" [locked]="false"></kendo-grid-column>
          </kendo-grid-column-group>
          <kendo-grid-column-group title="{{ cols[2] }}" [width]="180" [locked]="false">
            <kendo-grid-column field="TotalPorDia[2]" title="Total" [width]="60" [locked]="false"></kendo-grid-column>
            <kendo-grid-column field="Reservados[2]" title="Toma" [width]="60" [locked]="false"></kendo-grid-column>
            <kendo-grid-column field="Diferencia[2]" title="Disp." [width]="60" [locked]="false"></kendo-grid-column>
          </kendo-grid-column-group>
          <kendo-grid-column-group title="{{ cols[3] }}" [width]="180" [locked]="false">
            <kendo-grid-column field="TotalPorDia[3]" title="Total" [width]="60" [locked]="false"></kendo-grid-column>
            <kendo-grid-column field="Reservados[3]" title="Toma" [width]="60" [locked]="false"></kendo-grid-column>
            <kendo-grid-column field="Diferencia[3]" title="Disp." [width]="60" [locked]="false"></kendo-grid-column>
          </kendo-grid-column-group>
          <kendo-grid-column-group title="{{ cols[4] }}" [width]="180" [locked]="false">
            <kendo-grid-column field="TotalPorDia[4]" title="Total" [width]="60" [locked]="false"></kendo-grid-column>
            <kendo-grid-column field="Reservados[4]" title="Toma" [width]="60" [locked]="false"></kendo-grid-column>
            <kendo-grid-column field="Diferencia[4]" title="Disp." [width]="60" [locked]="false"></kendo-grid-column>
          </kendo-grid-column-group>

        </ng-container>
        <ng-template kendoGridNoRecordsTemplate>
          {{ noRecords }}
        </ng-template>
      </kendo-grid>

    </div>
<app-loading *ngIf="loading"></app-loading>

  </div>
</div>
